Subject: bug#75939: bug in compile wrapper when using MSVC from Msys2

From: "Andrew W. Nosenko" <[email-masked]>
Date: Fri, 31 Jan 2025 08:49:15 +0100

What if user set this variable for some reasons like additional extra
flags? So, it need to add flags to variable, not override it completely, at
least.

Sent from mobile

On Fri, 31 Jan 2025 at 00:53, Karl Berry <[email-masked]> wrote:

> Hi Kirill - thanks for the report and proposed fix.
>
>     export MSYS2_ARG_CONV_EXCL='-Tp'
>
> Setting an environment variable seems fairly safe, since if an older
> version of the compiler doesn't pay attention to it, at least the
> problem will not become worse.
>
> However, I'd like to hear from others who use msys, cl, Windows, etc.
> (Since I don't), as to whether setting this in the compile script would
> cause any problems. Anyone? --thanks, karl.
>
>
>
>